package com.cyksj.model.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * 项目名: yhlxj
 * 文件名: SpotifyOrderInfoDto
 * 创建者: JavaZou
 * 创建时间:2024/12/4 17:19
 */
@Getter
@Setter
public class SpotifyOrderInfoDto {
	private Long relationId;

	private String status;

	private String account;

	private String password;

	private String email;

	@Getter
	public enum Status{
		noPayment("未支付"),
		notSubmitted("未提交"),
		waiting("待处理"),
		fail("失败"),
		success("成功");
		String msg;

		Status(String msg) {
			this.msg = msg;
		}
	}
}
